import request from "@/utils/request"

// 主列表
export function getMainList(params) {
    return request({
        url: `/qdport-system/sys/menu/menuManage`,
        method: "GET",
        params
    })
}

// 权限列表
export function getPowerList(params) {
    return request({
        url: `/qdport-system/data-scope/list`,
        method: "get",
        params
    })
}

// 新增权限
export function scopeSave(data) {
    return request({
        url: `/qdport-system/data-scope/save`,
        method: "post",
        data
    })
}

// 修改权限
export function scopeUpdate(data) {
    return request({
        url: `/qdport-system/data-scope/update`,
        method: "post",
        data
    })
}

// 删除权限  ids:record.id
export function scopeRemove(data) {
    return request({
        url: `/qdport-system/data-scope/remove`,
        method: "post",
        params: data
    })
}